Skip to content

deployment_volume_resize

Increase a volume size

Tool

deployment_volume_resize

Increase a volume size

Increase a volume size

Behavior

HTTP
POST /deployment/volumes/:id/resize

Arguments

Name
Type
Required
Description
id
string
•
No description in the catalog.
sizeGb
integer
•
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
name
string
•
slug
string
•
sizeGb
integer
•
status
string
•
createdAt
string
•
mountPath
string
•
updatedAt
string
•
environmentId
string
•
lastErrorMessage
string
•
attachedServiceId
string
•

Try it

Increase a volume size.

When to use

Increase a volume size

Example

Ask your agent something like this:

Increase a volume size.

The agent will invoke deployment_volume_resize with these arguments:

{
  "id": "<id>",
  "sizeGb": "<sizeGb>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select